- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Namespaces
opencl.h File Reference
`#include <CL/cl.h>`
`#include <af/defines.h>`
`#include <af/array.h>`
`#include <af/dim4.hpp>`
`#include <af/exception.h>`
`#include <af/device.h>`
`#include <stdio.h>`

Go to the source code of this file.

## Namespaces
| afcl
| af

## Functions
AFAPI af_err | afcl_get_context (cl_context *ctx, const bool retain)
| Get a handle to ArrayFire's OpenCL context. More...
AFAPI af_err | afcl_get_queue (cl_command_queue *queue, const bool retain)
| Get a handle to ArrayFire's OpenCL command queue. More...
AFAPI af_err | afcl_get_device_id (cl_device_id *id)
| Get the device ID for ArrayFire's current active device. More...
static cl_context | getContext (bool retain=false)
| Get a handle to ArrayFire's OpenCL context. More...
static cl_command_queue | getQueue (bool retain=false)
| Get a handle to ArrayFire's OpenCL command queue. More...
static cl_device_id | getDeviceId ()
| Get the device ID for ArrayFire's current active device. More...
static af::array | array (af::dim4 idims, cl_mem buf, af::dtype type, bool retain=false)
| Create an af::array object from an OpenCL cl_mem buffer. More...
static af::array | array (dim_t dim0, cl_mem buf, af::dtype type, bool retain=false)
| Create an af::array object from an OpenCL cl_mem buffer. More...
static af::array | array (dim_t dim0, dim_t dim1, cl_mem buf, af::dtype type, bool retain=false)
| Create an af::array object from an OpenCL cl_mem buffer. More...
static af::array | array (dim_t dim0, dim_t dim1, dim_t dim2, cl_mem buf, af::dtype type, bool retain=false)
| Create an af::array object from an OpenCL cl_mem buffer. More...
static af::array | array (dim_t dim0, dim_t dim1, dim_t dim2, dim_t dim3, cl_mem buf, af::dtype type, bool retain=false)
| Create an af::array object from an OpenCL cl_mem buffer. More...